package locadora.persistencia.dao;

import java.util.List;

import locadora.hibernate.Dao;
import locadora.modelo.filmes.Filme;
import locadora.modelo.user.User;

import org.hibernate.Session;


public class FilmeDAO extends Dao<Filme> {

	public FilmeDAO(Class<Filme> type, Session session) {
		super(type, session);
	}
	public List<Filme> selecionaFilmePorNome(String nomeFilme) {
		List<Filme> lista = session.createQuery("from Filme where titulo like :nome")
							.setParameter("nome","%"+nomeFilme+"%").list();
		if (lista.size() != 0)
			return lista;
		return null;
	}
	
}
